Subject: Re: [spring] draft-ietf-spring-srv6-network-programming: Section 4.16
From: Ron Bonica <[email-masked]>
To: "Pablo Camarillo (pcamaril)" <[email-masked]>, SPRING WG List <[email-masked]>
Date: Thu, 17 Oct 2019 21:03:30 +0000
List-Id: "Source Packet Routing in NetworkinG \(SPRING\)" <spring.ietf.org>

Pablo,

RFC 8200 strongly discourages us from removing the SRH. Therefore, lacking strong motivation, we should not do so.

We agree that the SRH with Segments Left equal to zero is a functional NOOP. So, there is no functional motivation. This leaves us to search for other motivations. The following are possibilities:

  *   To conserve bandwidth on downstream links
  *   To make parsing possible on constrained downstream ASICs

Neither of these arguments are compelling, Is there another motivation that I am missing?

                                                                                  Ron

Juniper Business Use Only
From: Pablo Camarillo (pcamaril) <[email-masked]>
Sent: Thursday, October 17, 2019 5:41 AM
To: Ron Bonica <[email-masked]>; SPRING WG List <[email-masked]>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming: Section 4.16

Hi Ron,

SRH with SL=0 is a functional NOOP but physically present. These flavors remove the physical instance.

Cheers,
Pablo.

From: Ron Bonica <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 16 October 2019 at 02:43
To: "Pablo Camarillo (pcamaril)" <[email-masked]<mailto:[email-masked]>>, SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: RE: [spring] draft-ietf-spring-srv6-network-programming: Section 4.16

Pablo,

I have read all three of these responses, but remain unconvinced.

The PSP and USP flavors both remove an SRH when the value of Segments Left is equal to 0. They do not remove the IP header that is extended by the SRH.
The SRH that is removed is functionally an NOOP, because Segments Left is equal to 0. So why bother to remove it?

                                                                                            Ron

Juniper Business Use Only
From: Pablo Camarillo (pcamaril) <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 15, 2019 12:45 PM
To: Ron Bonica <[email-masked]<mailto:[email-masked]>>; SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming: Section 4.16

Ron,

You have already asked that same question a few days ago with the same words:
https://mailarchive.ietf.org/arch/msg/spring/4_Slu3kkHwduZZPFJJmRUkmoTVo<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/spring/4_Slu3kkHwduZZPFJJmRUkmoTVo__;!8WoA6RjC81c!QLco8bcrMNVz-BEUDaTnOAJzb008Hr4jPH9JDfQlJsrpWnQL9RJs3uNXDRTozcu0$>

and there have been replies to it detailing the use-cases:
https://mailarchive.ietf.org/arch/msg/spring/V0ZpjVLSVZxHaBwecXFxqJjlg_c<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/spring/V0ZpjVLSVZxHaBwecXFxqJjlg_c__;!8WoA6RjC81c!QLco8bcrMNVz-BEUDaTnOAJzb008Hr4jPH9JDfQlJsrpWnQL9RJs3uNXDShyO5lJ$>
https://mailarchive.ietf.org/arch/msg/spring/WrYzRZC0HKVgBYaYMCQVcTWrfak<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/spring/WrYzRZC0HKVgBYaYMCQVcTWrfak__;!8WoA6RjC81c!QLco8bcrMNVz-BEUDaTnOAJzb008Hr4jPH9JDfQlJsrpWnQL9RJs3uNXDeiyat5Q$>
https://mailarchive.ietf.org/arch/msg/spring/O7Bf7-UqDj4wDu76d3viV7pCSks<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/spring/O7Bf7-UqDj4wDu76d3viV7pCSks__;!8WoA6RjC81c!QLco8bcrMNVz-BEUDaTnOAJzb008Hr4jPH9JDfQlJsrpWnQL9RJs3uNXDWG9L5Tl$>

I guess you might have missed them. Please read the replies.

Thanks,
Pablo.

From: spring <[email-masked]<mailto:[email-masked]>> on behalf of Ron Bonica <rbonica=[email-masked]<mailto:rbonica=[email-masked]>>
Date: Monday, 14 October 2019 at 20:45
To: SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: [spring] draft-ietf-spring-srv6-network-programming: Section 4.16

Authors,

Lacking the B.INSERT and T.INSERT functions, can you describe a use-case for the PSP and USP flavors of the END, END.X and END.T functions?

                                              Ron

Juniper Business Use Only